Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ChallengeResponseCredential

    java.lang.Object

      |

      +--oracle.ifs.common.ChallengeResponseCredential

All Implemented Interfaces:
  Credential, java.io.Serializable

public class ChallengeResponseCredential
extends java.lang.Object
implements Credential

A ChallengeResponseCredential encapsulates a name, challenge, and response for presentation to a CredentialManager to authenticate a user, based on the SMB authentication mechanism.

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_LMSESSIONKEY` Indicates an SMB LM session key type of response.
`static int` | `TYPE_NTSESSIONKEY` Indicates an SMB NT session key type of response.
`static int` | `TYPE_UNKNOWN` Indicates an unknown type of response.

Constructor Summary
`ChallengeResponseCredential()` Constructs a ChallengeResponseCredential.
`ChallengeResponseCredential(java.lang.String name, byte[] challenge, byte[] response, int type)` Constructs a ChallengeResponseCredential.

Method Summary
`byte[]` | `getChallenge()` Gets the challenge.
`java.lang.String` | `getName()` Gets the name of the user.
`byte[]` | `getResponse()` Gets the response.
`int` | `getType()` Gets the type of the response.
`void` | `setChallenge(byte[] challenge)` Sets the challenge.
`void` | `setName(java.lang.String name)` Sets the name of the user.
`void` | `setResponse(byte[] response)` Sets the response.
`void` | `setType(int type)` Sets the type of the response.

Field Detail

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

  Indicates an unknown type of response.

### TYPE_NTSESSIONKEY

    public static final int TYPE_NTSESSIONKEY

  Indicates an SMB NT session key type of response.

### TYPE_LMSESSIONKEY

    public static final int TYPE_LMSESSIONKEY

  Indicates an SMB LM session key type of response.

Constructor Detail

### ChallengeResponseCredential

    public ChallengeResponseCredential()
                                throws IfsException

  Constructs a ChallengeResponseCredential.
  Throws:
    `IfsException` - if the operation fails

### ChallengeResponseCredential

    public ChallengeResponseCredential(java.lang.String name,
                                       byte[] challenge,
                                       byte[] response,
                                       int type)
                                throws IfsException

  Constructs a ChallengeResponseCredential.
  Parameters:
    `name` - the name of the user
    `challenge` - the 8-byte challenge
    `response` - the 24-byte response
    `type` - the type of the response
  Throws:
    `IfsException` - if the operation fails

Method Detail

### getName

    public java.lang.String getName()
                             throws IfsException

  Gets the name of the user.
  Specified by:
    `getName` in interface `Credential`
  Returns:
    the name of the user
  Throws:
    `IfsException` - if the operation fails

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Sets the name of the user.
  Parameters:
    `name` - the name of the user
  Throws:
    `IfsException` - if the operation fails

### getChallenge

    public byte[] getChallenge()
                        throws IfsException

  Gets the challenge.
  Returns:
    the challenge
  Throws:
    `IfsException` - if the operation fails

### setChallenge

    public void setChallenge(byte[] challenge)
                      throws IfsException

  Sets the challenge.
  Parameters:
    `challenge` - the 8-byte challenge
  Throws:
    `IfsException` - if the operation fails

### getResponse

    public byte[] getResponse()
                       throws IfsException

  Gets the response.
  Returns:
    the response
  Throws:
    `IfsException` - if the operation fails

### setResponse

    public void setResponse(byte[] response)
                     throws IfsException

  Sets the response.
  Parameters:
    `response` - the 24-byte response
  Throws:
    `IfsException` - if the operation fails

### getType

    public int getType()
                throws IfsException

  Gets the type of the response.
  Returns:
    the type
  Throws:
    `IfsException` - if the operation fails

### setType

    public void setType(int type)
                 throws IfsException

  Sets the type of the response.
  Parameters:
    `type` - the type; must be either `TYPE_NTSESSIONKEY` or `TYPE_LMSESSIONKEY`
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD